AbstractConduit (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.transport

## Class AbstractConduit

- java.lang.Object
- - org.apache.cxf.transport.AbstractObservable
  - - org.apache.cxf.transport.AbstractConduit

- All Implemented Interfaces:
    `Conduit`, `Observable`
  Direct Known Subclasses:
    `AbstractDestination.AbstractBackChannelConduit`

      public abstract class AbstractConduit
      extends AbstractObservable
      implements Conduit

  Abstract base class factoring out common Conduit logic, allowing non-decoupled transports to be written without any regard for the decoupled back-channel or partial response logic.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.apache.cxf.ws.addressing.EndpointReferenceType` | `target` |

    - ### Fields inherited from class org.apache.cxf.transport.AbstractObservable

      `incomingObserver`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractConduit​(org.apache.cxf.ws.addressing.EndpointReferenceType t)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Close the conduit.
    `void` | `close​(Message msg)` | Close the connections associated with the message
    `org.apache.cxf.ws.addressing.EndpointReferenceType` | `getTarget()` |
    `String` | `toString()` |

    - ### Methods inherited from class org.apache.cxf.transport.AbstractObservable

      `activate, deactivate, getLogger, getMessageObserver, getTargetReference, getTargetReference, setMessageObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cxf.transport.Conduit

      `prepare`

    - ### Methods inherited from interface org.apache.cxf.transport.Observable

      `getMessageObserver, setMessageObserver`

- - ### Field Detail

    - #### target

          protected final org.apache.cxf.ws.addressing.EndpointReferenceType target

  - ### Constructor Detail

    - #### AbstractConduit

          public AbstractConduit​(org.apache.cxf.ws.addressing.EndpointReferenceType t)

  - ### Method Detail

    - #### getTarget

          public org.apache.cxf.ws.addressing.EndpointReferenceType getTarget()

      Specified by:
        `getTarget` in interface `Conduit`
      Returns:
        the reference associated with the target Destination

    - #### close

          public void close​(Message msg)
                     throws IOException

      Description copied from interface: `Conduit`
      Close the connections associated with the message
      Specified by:
        `close` in interface `Conduit`
      Parameters:
        `msg` - for which content should be closed.
      Throws:
        `IOException`

    - #### close

          public void close()

      Close the conduit.
      Specified by:
        `close` in interface `Conduit`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`